Bug 859263 - JSVC - how to construct JSVC command for Tomcat 6
JSVC - how to construct JSVC command for Tomcat 6
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-HTTP-Connectors-Guide (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 20:02 EDT by Misha H. Ali
Modified: 2012-11-08 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 17:11:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-09-20 20:02:05 EDT
Add information about $TITLE
Comment 2 Jean-frederic Clere 2012-09-21 02:41:29 EDT
Note that is a Tomcat5 link so you may adjust tomcat5 to tomcat6 and the following:
+++
JAVA_HOME=/home2/java/j2sdk1.4.2_03 (NEED JVM version 1.5 at least).
DAEMON_HOME=/home/jfclere/daemon
+++
Comment 3 Misha H. Ali 2012-09-24 02:17:30 EDT
Added for this bug:

A table with the environment variables for Tomcat 6. Need SME to confirm information is accurate.
Comment 5 Jean-frederic Clere 2012-09-25 02:54:51 EDT
12.3. Install Jsvc with Tomcat 6

Add a note that in Tomcat 6 there is a wrapper script like in Tomcat 7. So there we describe the parameter of jsvc so you can write your own script.

Keep the table: but change:
Environment Variable  = options

JAVA_HOME = -home
CATALINA_HOME = -Dcatalina.home=
DAEMON_HOME remove the row.
TOMCAT_USER = -user
TMP_DIR = -Djava.io.tmpdir
PID_FILE = -pidfile
CATALINA_BASE = -Dcatalina.base=

CATALINA_OPTS and CLASSPATH are not options but parameters, so remove them for the table.

add the 3 mising options:
-outfile : the file where the stdout of the embedded JVM is redirected (default: stdout).
-errfile: the file where the stderr is redirected (default: stderr).
-stop : tell jsvc to stop cleanly another jsvc running in the system the -pidfile contains the information created by jsvc when starting, this information is used to stop it.

Then add the text:
The parameters after the option are used in by the embedded JVM started by jsvc. You can have there -D options for the JVM like for example -Djava.library.path=$HOME/jboss-ews-2.0/tomcat6/lib/, a -cp for the classpath for example -cp $JAVA_HOME/lib/tools.jar:CATALINA_HOME/bin/commons-daemon.jar:$CATALINA_HOME/bin/bootstrap.jar then the class that will be started for example org.apache.catalina.startup.Bootstrap.
Comment 6 Jean-frederic Clere 2012-09-25 02:59:29 EDT
Additionally the /home/tomcat6/tomcat6/jakarta-tomcat-6/build need to be replaced by /opt/jboss-ews-2.0/tomcat6.

BTW: $HOME/jboss-ews-2.0/tomcat6/lib/ is /opt/jboss-ews-2.0/tomcat6 in comment 5.
Comment 7 Misha H. Ali 2012-10-02 04:46:01 EDT
Updates all the above input. This bug will be set to ON_QA when the changes appear on the stage.
Comment 9 Jean-frederic Clere 2012-10-03 04:13:39 EDT
looks OK now.
Comment 10 Libor Fuka 2012-10-11 07:02:19 EDT
Bug 859265 - JSVC installation on Tomcat 7 (Refer: JBPAPP-9814)
Comment 11 Misha H. Ali 2012-10-12 02:02:47 EDT
The bug in comment#10 should now be verified. Assuming this is the case, setting this one to ON_QA for verification accordingly as well.
Comment 12 Jean-frederic Clere 2012-10-12 05:19:18 EDT
JBPAPP-9814 is marked as resolved.
Comment 13 Jean-frederic Clere 2012-10-15 02:19:51 EDT
-cp $JAVA_HOME/lib/tools.jar:CATALINA_HOME/bin/commons-daemon.jar:$CATALINA_HOME/bin/bootstrap.jar should be:
-cp $JAVA_HOME/lib/tools.jar:$CATALINA_HOME/bin/commons-daemon.jar:$CATALINA_HOME/bin/bootstrap.jar

$ missing.
Comment 14 Misha H. Ali 2012-10-15 20:00:28 EDT
Thanks, Jean-Frederic. Added missing $ to the command. This bug will be set to ON_QA once the changes appear on the stage.
Comment 16 Misha H. Ali 2012-11-08 17:11:12 EST
This bug is set to CLOSED CURRENT RELEASE to indicate that this fix is now released and available at access.redhat.com.

Note You need to log in before you can comment on or make changes to this bug.